COrderingFacade.h File Reference
`#include <polybori/pbori_defs.h>`
`#include <polybori/BoolePolynomial.h>`
`#include <polybori/BooleMonomial.h>`
`#include <polybori/BooleExponent.h>`
`#include "COrderingBase.h"`
`#include "COrderingTags.h"`
`#include <polybori/iterators/COrderedIter.h>`
`#include <polybori/common/tags.h>`
`#include "order_traits.h"`
`#include <polybori/routines/pbori_func.h>`

Go to the source code of this file.

## Classes

class | polybori::COrderingFacade< OrderType, OrderTag >
| This class initialize the interface for orderings of CDynamicOrderBase for a given OrderType. OrderType must inherit from COrderingFacade<OrderType>. More...

## Namespaces

| polybori

## Detailed Description

Author
  Alexander Dreyer

Date
  2006-05-23

Defines generic classes for ordering management for polynomial rings.

Copyright:
  (c) 2006-2010 by The PolyBoRi Team